function [a,adot, Bep, phi]=adisk(lambda_r,N)

amin=0.25;
amax=0.333;
da=(amax-amin)/(N-1);
a_init=amin:da:amax;


for i=1:N
    lambda_init(i)=(4*a_init(i)-1)*sqrt((1-a_init(i))/(1-3*a_init(i))); 
end


for i=1:N
    a(i)=interp1(lambda_init,a_init,lambda_r(i),'PCHIP');
    adot(i)=(1-3*a(i))/(4*a(i)-1);                         
    phi(i)=atan((1-a(i))/((1+adot(i))*lambda_r(i)));        
    Bep(i)=(4*a(i)*sin(phi(i)))/(1+adot(i));               
end
